Index: trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGA.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGA.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGA.cs	(revision 3017)
@@ -38,5 +38,5 @@
   [Item("SGA", "A standard genetic algorithm.")]
   [Creatable("Algorithms")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class SGA : EngineAlgorithm {
     #region Problem Properties
Index: trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGAOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGAOperator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGAOperator.cs	(revision 3017)
@@ -35,5 +35,5 @@
   [Item("SGAOperator", "An operator which represents a Standard Genetic Algorithm.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class SGAOperator : AlgorithmOperator {
     #region Parameter properties
Index: trunk/sources/HeuristicLab.Algorithms.TS/3.3/TSOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.TS/3.3/TSOperator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Algorithms.TS/3.3/TSOperator.cs	(revision 3017)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("TSOperator", "An operator which represents a Tabu Search.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class TSOperator : AlgorithmOperator {
     #region Parameter properties
Index: trunk/sources/HeuristicLab.Algorithms.TS/3.3/TabuListCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.TS/3.3/TabuListCreator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Algorithms.TS/3.3/TabuListCreator.cs	(revision 3017)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Algorithms.TS {
   [Item("TabuListCreator", "An operator that creates a new empty tabu list. It can also replace an existing tabu list with a new empty one.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class TabuListCreator : SingleSuccessorOperator {
     public ValueLookupParameter<ItemList<IItem>> TabuListParameter {
Index: trunk/sources/HeuristicLab.Algorithms.TS/3.3/TabuSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.TS/3.3/TabuSelector.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Algorithms.TS/3.3/TabuSelector.cs	(revision 3017)
@@ -37,5 +37,5 @@
   /// </remarks>
   [Item("TabuSelector", "An operator that selects the best move that is either not tabu or satisfies the aspiration criterion. It expects the move subscopes to be sorted.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class TabuSelector : Selector {
     /// <summary>
Index: trunk/sources/HeuristicLab.Analysis/3.3/BestAverageWorstQualityCalculator.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/BestAverageWorstQualityCalculator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Analysis/3.3/BestAverageWorstQualityCalculator.cs	(revision 3017)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("BestAverageWorstQualityCalculator", "An operator which calculates the best, average and worst solution quality of the current population.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Creatable("Test")]
   public sealed class BestAverageWorstQualityCalculator : SingleSuccessorOperator {
Index: trunk/sources/HeuristicLab.Analysis/3.3/BestQualityMemorizer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/BestQualityMemorizer.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Analysis/3.3/BestQualityMemorizer.cs	(revision 3017)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("BestQualityMemorizer", "An operator that updates the best quality found so far with those qualities in the subscopes.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class BestQualityMemorizer : SingleSuccessorOperator {
     public IValueLookupParameter<BoolData> MaximizationParameter {
Index: trunk/sources/HeuristicLab.Analysis/3.3/DataRow.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/DataRow.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Analysis/3.3/DataRow.cs	(revision 3017)
@@ -30,5 +30,5 @@
   [Item("DataRow", "A row of data values.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public sealed class DataRow : NamedItem {
     [Storable]
Index: trunk/sources/HeuristicLab.Analysis/3.3/DataTable.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/DataTable.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Analysis/3.3/DataTable.cs	(revision 3017)
@@ -29,5 +29,5 @@
   [Item("DataTable", "A table of data values.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public sealed class DataTable : NamedItem {
     [Storable]
Index: trunk/sources/HeuristicLab.Analysis/3.3/DataTableValuesCollector.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/DataTableValuesCollector.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Analysis/3.3/DataTableValuesCollector.cs	(revision 3017)
@@ -33,5 +33,5 @@
   [Item("DataTableValuesCollector", "An operator which collects the actual values of parameters and adds them to a table of data values.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class DataTableValuesCollector : ValuesCollector {
     public ValueLookupParameter<DataTable> DataTableParameter {
Index: trunk/sources/HeuristicLab.Collections/3.3/ObservableArray.cs
===================================================================
--- trunk/sources/HeuristicLab.Collections/3.3/ObservableArray.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Collections/3.3/ObservableArray.cs	(revision 3017)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class ObservableArray<T> : IObservableArray<T> {
     [Storable]
Index: trunk/sources/HeuristicLab.Collections/3.3/ObservableCollection.cs
===================================================================
--- trunk/sources/HeuristicLab.Collections/3.3/ObservableCollection.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Collections/3.3/ObservableCollection.cs	(revision 3017)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class ObservableCollection<T> : IObservableCollection<T> {
     [Storable]
Index: trunk/sources/HeuristicLab.Collections/3.3/ObservableDictionary.cs
===================================================================
--- trunk/sources/HeuristicLab.Collections/3.3/ObservableDictionary.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Collections/3.3/ObservableDictionary.cs	(revision 3017)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class ObservableDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue> {
     [Storable]
Index: trunk/sources/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs
===================================================================
--- trunk/sources/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs	(revision 3017)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public abstract class ObservableKeyedCollection<TKey, TItem> : IObservableKeyedCollection<TKey, TItem> {
     [Storable]
Index: trunk/sources/HeuristicLab.Collections/3.3/ObservableList.cs
===================================================================
--- trunk/sources/HeuristicLab.Collections/3.3/ObservableList.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Collections/3.3/ObservableList.cs	(revision 3017)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class ObservableList<T> : IObservableList<T> {
     [Storable]
Index: trunk/sources/HeuristicLab.Collections/3.3/ObservableSet.cs
===================================================================
--- trunk/sources/HeuristicLab.Collections/3.3/ObservableSet.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Collections/3.3/ObservableSet.cs	(revision 3017)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class ObservableSet<T> : IObservableSet<T> {
     [Storable]
Index: trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs
===================================================================
--- trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs	(revision 3017)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class ReadOnlyObservableArray<T> : IObservableArray<T> {
     [Storable]
Index: trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs
===================================================================
--- trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs	(revision 3017)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class ReadOnlyObservableCollection<T> : IObservableCollection<T> {
     [Storable]
Index: trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs
===================================================================
--- trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs	(revision 3017)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class ReadOnlyObservableDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue> {
     [Storable]
Index: trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs
===================================================================
--- trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs	(revision 3017)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class ReadOnlyObservableKeyedCollection<TKey, TItem> : IObservableKeyedCollection<TKey, TItem> {
     [Storable]
Index: trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs
===================================================================
--- trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs	(revision 3017)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class ReadOnlyObservableList<T> : IObservableList<T> {
     [Storable]
Index: trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs
===================================================================
--- trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs	(revision 3017)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class ReadOnlyObservableSet<T> : IObservableSet<T> {
     [Storable]
Index: trunk/sources/HeuristicLab.Core/3.3/DeepCloneable.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/DeepCloneable.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/DeepCloneable.cs	(revision 3017)
@@ -27,5 +27,5 @@
   /// Represents a base class for all deeply cloneable objects.
   /// </summary>
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public abstract class DeepCloneable : IDeepCloneable {
     /// <summary>
Index: trunk/sources/HeuristicLab.Core/3.3/Engine.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/Engine.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/Engine.cs	(revision 3017)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("Engine", "A base class for engines.")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public abstract class Engine : Item, IEngine {
     public override Image ItemImage {
Index: trunk/sources/HeuristicLab.Core/3.3/ExecutionContext.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/ExecutionContext.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/ExecutionContext.cs	(revision 3017)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class ExecutionContext : DeepCloneable, IExecutionContext, IAtomicOperation {
     [Storable]
Index: trunk/sources/HeuristicLab.Core/3.3/Item.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/Item.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/Item.cs	(revision 3017)
@@ -29,5 +29,5 @@
   /// Represents the base class for all basic item types.
   /// </summary>
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Item("Item", "Base class for all HeuristicLab items.")]
   public abstract class Item : DeepCloneable, IItem {
Index: trunk/sources/HeuristicLab.Core/3.3/ItemArray.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/ItemArray.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/ItemArray.cs	(revision 3017)
@@ -32,5 +32,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Item("ItemArray<T>", "Represents an array of items.")]
   public class ItemArray<T> : ObservableArray<T>, IItem where T : class, IItem {
Index: trunk/sources/HeuristicLab.Core/3.3/ItemCollection.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/ItemCollection.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/ItemCollection.cs	(revision 3017)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Item("ItemCollection<T>", "Represents a collection of items.")]
   public class ItemCollection<T> : ObservableCollection<T>, IItem where T : class, IItem {
Index: trunk/sources/HeuristicLab.Core/3.3/ItemList.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/ItemList.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/ItemList.cs	(revision 3017)
@@ -33,5 +33,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Item("ItemList<T>", "Represents a list of items.")]
   public class ItemList<T> : ObservableList<T>, IItem where T : class, IItem {
Index: trunk/sources/HeuristicLab.Core/3.3/ItemSet.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/ItemSet.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/ItemSet.cs	(revision 3017)
@@ -33,5 +33,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Item("ItemSet<T>", "Represents a set of items.")]
   public class ItemSet<T> : ObservableSet<T>, IItem where T : class, IItem {
Index: trunk/sources/HeuristicLab.Core/3.3/NamedItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/NamedItem.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/NamedItem.cs	(revision 3017)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Core {
   [Item("NamedItem", "Base class for items which have a name and an optional description.")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public abstract class NamedItem : Item, INamedItem {
     [Storable]
Index: trunk/sources/HeuristicLab.Core/3.3/NamedItemCollection.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/NamedItemCollection.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/NamedItemCollection.cs	(revision 3017)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Core {
   [Item("NamedItemCollection<T>", "Represents a collection of named items.")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class NamedItemCollection<T> : ObservableKeyedCollection<string, T>, IItem where T : class, INamedItem {
     public virtual string ItemName {
Index: trunk/sources/HeuristicLab.Core/3.3/OperationCollection.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/OperationCollection.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/OperationCollection.cs	(revision 3017)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class OperationCollection : DeepCloneable, IList<IOperation>, IOperation {
     [Storable]
Index: trunk/sources/HeuristicLab.Core/3.3/OperatorCollection.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/OperatorCollection.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/OperatorCollection.cs	(revision 3017)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Item("OperatorCollection", "Represents a collection of operators.")]
   [Creatable("Test")]
Index: trunk/sources/HeuristicLab.Core/3.3/OperatorGraph.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 3017)
@@ -35,5 +35,5 @@
   [Item("OperatorGraph", "Represents a graph of operators.")]
   [Creatable("Algorithms")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class OperatorGraph : Item {
     private OperatorSet operators;
Index: trunk/sources/HeuristicLab.Core/3.3/OperatorList.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/OperatorList.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/OperatorList.cs	(revision 3017)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Item("OperatorList", "Represents a list of operators.")]
   [Creatable("Test")]
Index: trunk/sources/HeuristicLab.Core/3.3/OperatorSet.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/OperatorSet.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/OperatorSet.cs	(revision 3017)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Item("OperatorSet", "Represents a set of operators.")]
   [Creatable("Test")]
Index: trunk/sources/HeuristicLab.Core/3.3/ParameterCollection.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/ParameterCollection.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/ParameterCollection.cs	(revision 3017)
@@ -24,5 +24,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Item("ParameterCollection", "Represents a collection of parameters.")]
   [Creatable("Test")]
Index: trunk/sources/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs	(revision 3017)
@@ -28,5 +28,5 @@
   /// </summary>
   [Item("ParameterizedNamedItem", "A base class for items which have a name and contain parameters.")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public abstract class ParameterizedNamedItem : NamedItem, IParameterizedNamedItem {
     private ParameterCollection parameters;
Index: trunk/sources/HeuristicLab.Core/3.3/Scope.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/Scope.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/Scope.cs	(revision 3017)
@@ -29,5 +29,5 @@
   [Item("Scope", "A scope which contains variables and sub-scopes.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public sealed class Scope : NamedItem, IScope {
     [Storable]
Index: trunk/sources/HeuristicLab.Core/3.3/ScopeList.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/ScopeList.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/ScopeList.cs	(revision 3017)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Item("ScopeList", "Represents a list of scopes.")]
   [Creatable("Test")]
Index: trunk/sources/HeuristicLab.Core/3.3/ValueParameterCollection.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/ValueParameterCollection.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/ValueParameterCollection.cs	(revision 3017)
@@ -24,5 +24,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Item("ValueParameterCollection", "Represents a collection of value parameters.")]
   [Creatable("Test")]
Index: trunk/sources/HeuristicLab.Core/3.3/Variable.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/Variable.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/Variable.cs	(revision 3017)
@@ -30,5 +30,5 @@
   [Item("Variable", "A variable which has a name and holds an IItem.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public sealed class Variable : NamedItem, IVariable {
     private IItem value;
Index: trunk/sources/HeuristicLab.Core/3.3/VariableCollection.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/VariableCollection.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Core/3.3/VariableCollection.cs	(revision 3017)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Item("VariableCollection", "Represents a collection of variables.")]
   [Creatable("Test")]
Index: trunk/sources/HeuristicLab.Data/3.3/BoolArrayData.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/BoolArrayData.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Data/3.3/BoolArrayData.cs	(revision 3017)
@@ -27,5 +27,5 @@
   [Item("BoolArrayData", "Represents an array of boolean values.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class BoolArrayData : ValueTypeArrayData<bool>, IStringConvertibleArrayData {
     public BoolArrayData() : base() { }
Index: trunk/sources/HeuristicLab.Data/3.3/BoolData.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/BoolData.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Data/3.3/BoolData.cs	(revision 3017)
@@ -28,5 +28,5 @@
   [Item("BoolData", "Represents a boolean value.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class BoolData : ValueTypeData<bool>, IComparable, IStringConvertibleData {
     public BoolData() : base() { }
Index: trunk/sources/HeuristicLab.Data/3.3/BoolMatrixData.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/BoolMatrixData.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Data/3.3/BoolMatrixData.cs	(revision 3017)
@@ -27,5 +27,5 @@
   [Item("BoolMatrixData", "Represents a matrix of boolean values.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class BoolMatrixData : ValueTypeMatrixData<bool>, IStringConvertibleMatrixData {
     public BoolMatrixData() : base() { }
Index: trunk/sources/HeuristicLab.Data/3.3/ComparisonData.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/ComparisonData.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Data/3.3/ComparisonData.cs	(revision 3017)
@@ -27,5 +27,5 @@
   [Item("ComparisonData", "Represents a comparison.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class ComparisonData : ValueTypeData<Comparison>, IComparable {
     public ComparisonData() : base() { }
Index: trunk/sources/HeuristicLab.Data/3.3/DateTimeData.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/DateTimeData.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Data/3.3/DateTimeData.cs	(revision 3017)
@@ -27,5 +27,5 @@
   [Item("DateTimeData", "Represents a date and time value.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class DateTimeData : ValueTypeData<DateTime>, IComparable, IStringConvertibleData {
     public DateTimeData() : base() { }
Index: trunk/sources/HeuristicLab.Data/3.3/DoubleArrayData.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/DoubleArrayData.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Data/3.3/DoubleArrayData.cs	(revision 3017)
@@ -27,5 +27,5 @@
   [Item("DoubleArrayData", "Represents an array of double values.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class DoubleArrayData : ValueTypeArrayData<double>, IStringConvertibleArrayData {
     public DoubleArrayData() : base() { }
Index: trunk/sources/HeuristicLab.Data/3.3/DoubleData.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/DoubleData.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Data/3.3/DoubleData.cs	(revision 3017)
@@ -28,5 +28,5 @@
   [Item("DoubleData", "Represents a double value.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class DoubleData : ValueTypeData<double>, IComparable, IStringConvertibleData {
     public DoubleData() : base() { }
Index: trunk/sources/HeuristicLab.Data/3.3/DoubleMatrixData.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/DoubleMatrixData.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Data/3.3/DoubleMatrixData.cs	(revision 3017)
@@ -27,5 +27,5 @@
   [Item("DoubleMatrixData", "Represents a matrix of double values.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class DoubleMatrixData : ValueTypeMatrixData<double>, IStringConvertibleMatrixData {
     public DoubleMatrixData() : base() { }
Index: trunk/sources/HeuristicLab.Data/3.3/IntArrayData.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/IntArrayData.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Data/3.3/IntArrayData.cs	(revision 3017)
@@ -27,5 +27,5 @@
   [Item("IntArrayData", "Represents an array of integer values.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class IntArrayData : ValueTypeArrayData<int>, IStringConvertibleArrayData {
     public IntArrayData() : base() { }
Index: trunk/sources/HeuristicLab.Data/3.3/IntData.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/IntData.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Data/3.3/IntData.cs	(revision 3017)
@@ -28,5 +28,5 @@
   [Item("IntData", "Represents an integer value.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class IntData : ValueTypeData<int>, IComparable, IStringConvertibleData {
     public IntData() : base() { }
Index: trunk/sources/HeuristicLab.Data/3.3/IntMatrixData.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/IntMatrixData.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Data/3.3/IntMatrixData.cs	(revision 3017)
@@ -27,5 +27,5 @@
   [Item("IntMatrixData", "Represents a matrix of integer values.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class IntMatrixData : ValueTypeMatrixData<int>, IStringConvertibleMatrixData {
     public IntMatrixData() : base() { }
Index: trunk/sources/HeuristicLab.Data/3.3/StringArrayData.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/StringArrayData.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Data/3.3/StringArrayData.cs	(revision 3017)
@@ -30,5 +30,5 @@
   [Item("StringArrayData", "Represents an array of strings.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public sealed class StringArrayData : Item, IEnumerable, IStringConvertibleArrayData {
     [Storable]
Index: trunk/sources/HeuristicLab.Data/3.3/StringData.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/StringData.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Data/3.3/StringData.cs	(revision 3017)
@@ -27,5 +27,5 @@
   [Item("StringData", "Represents a string.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public sealed class StringData : Item, IComparable, IStringConvertibleData {
     [Storable]
